!ABCIncludeFile

OMIT('_EndOfInclude_',_DriveInfoClassIncluded_)
_DriveInfoClassIncluded_ EQUATE(4)

! --------------------------------------------------------------------------------------------- !
! Class description:	Drive information                                                       !
! Version:		1.1.0	                                                                !
! Description:		This class gives you methods to retrieve drive information.             !
! --------------------------------------------------------------------------------------------- !
! Author:		Roel S.F. Abspoel (roel@abspoel.nl)                                     !
! Copyright:		 2005 - 2006 All Rights Reserved by Roel S.F. Abspoel                  !
! --------------------------------------------------------------------------------------------- !

DriveInfoVersion	EQUATE(101)
SEM_NOOPENFILEERRORBOX	EQUATE(8000H)
SEM_FAILCRITICALERRORS  EQUATE(1H)
ULARGE_INTEGER          GROUP,TYPE
LowDw                   ULONG
HighDw                  ULONG
                        END
DiskInfoQ	        QUEUE,TYPE
Drive		          CSTRING(20)
DriveLabel	          STRING(256)
TotalSpace	          STRING(50)
TotalFreeSpace	          STRING(50)
TotalUsedSpace	          STRING(50)
DriveType	          STRING(20)
DriveFAT	          STRING(256)
DriveSerial	          STRING(25)
RemoteUser                STRING(100)
                        END
KnownDriveQ             QUEUE,TYPE
Drive                     STRING(3)
                        END
NewDriveQ               QUEUE,TYPE
Drive                     STRING(3)
                        END
DiscDriveQ              QUEUE,TYPE
Drive                     STRING(3)
                        END

! BEGIN OF CLASS DECLARATION ------------------------------------------------------------------ !

DriveInfo	CLASS,MODULE('DriveInfo.CLW'),TYPE,LINK('DriveInfo.CLW',_ABCLinkMode_),DLL(_ABCDllMode_)
! DriveInfo class declaration

! --------------------------------------------------------------------------------------------- !
! Property declarations within the class								!
! --------------------------------------------------------------------------------------------- !

DiskInfoQ     &DiskInfoQ
KnownDriveQ   &KnownDriveQ,PRIVATE
NewDriveQ     &NewDriveQ
DiscDriveQ    &DiscDriveQ

! --------------------------------------------------------------------------------------------- !
! Method declarations within the class								!
! --------------------------------------------------------------------------------------------- !

Construct	     PROCEDURE
Destruct	     PROCEDURE
SendDebug            PROCEDURE(STRING MyDebugString)
! Send debuginfo
EnumerateDrives      PROCEDURE()
! Fill the global queue with drives
SetCheckPoint        PROCEDURE()
! Set the known drives checkpoint.
CheckNewDrives       PROCEDURE(),LONG
! Check for new drives.


! END OF CLASS DECLARATION -------------------------------------------------------------------- !

		END

! --------------------------------------------------------------------------------------------- !

_EndOfInclude_