#! --------------------------------------------------------------------------------------------- !
#! Class description:	Drive information                                                       !
#! Version:		1.1.0	                                                                !
#! Description:		This class gives you methods to retrieve drive information.             !
#! --------------------------------------------------------------------------------------------- !
#! Author:		Roel S.F. Abspoel (roel@abspoel.nl)                                     !
#! Copyright:		 2005 - 2006 All Rights Reserved by Roel S.F. Abspoel                  !
#! --------------------------------------------------------------------------------------------- !
#TEMPLATE (DriveInfoClass, 'Drive Info Class'),FAMILY('ABC')
#EXTENSION (GlobalDriveInfoClass,'Drive Info Class - Global'),APPLICATION
#! --------------------------------------------------------------------------- !
#SHEET
#TAB ('Drive Info Class')
#DISPLAY ('')
#BOXED (' Copyright and support ')
#DISPLAY ('')
#BUTTON (' License notice'),AT(30,,135,14)
   #DISPLAY ('This template is freeware.')
   #DISPLAY ('Copyright  2006 by Roel S.F. Abspoel.')
   #DISPLAY ('')
   #DISPLAY ('You are authorised to copy, share or distribute this product')
   #DISPLAY ('in its origional form.')
   #DISPLAY ('Modification of any part(s) are forbidden.')
   #DISPLAY ('')
   #DISPLAY ('The following files are part of the origional package:')
   #DISPLAY ('DriveInfoClass.TPL')
   #DISPLAY ('DriveInfoClass.CLW')
   #DISPLAY ('DriveInfoClass.INC')
   #DISPLAY ('class_driveinfo.LIB')
   #DISPLAY ('')
   #DISPLAY ('If your package contains different files please contact the author.')
   #DISPLAY ('For more information email the author. (roel.abspoel@gmail.com)')
#ENDBUTTON#PROMPT ('I agree with the license notice.', CHECK), %LicenseAccepted, AT(10), DEFAULT(0)
#DISPLAY ('')
#DISPLAY ('Author: Roel S.F. Abspoel')
#DISPLAY ('Support: roel.abspoel@gmail.com')
#DISPLAY (' 2006 Roel S.F. Abspoel, All Rights Reserved.')
#ENDBOXED
#DISPLAY ('')
#BOXED (' Version information ')
#DISPLAY ('Version:    1.1.0')
#DISPLAY ('Changed: November 24 2006')
#ENDBOXED
#ENDTAB
#ENDSHEET
#! --------------------------------------------------------------------------------------------- !
#AT (%BeforeGlobalIncludes)
#! --------------------------------------------------------------------------------------------- !
#IF (%LicenseAccepted = %TRUE)
  INCLUDE ('DriveInfo.inc'),ONCE
#ENDIF
#ENDAT
#! --------------------------------------------------------------------------
#! Custom Global Declarations
#! --------------------------------------------------------------------------
#AT(%CustomGlobalDeclarations)
#! --------------------------------------------------------------------------
! ----------------------------------------------
! Added by the Drive info class
! ----------------------------------------------
#PROJECT('class_driveinfo.lib')
! ----------------------------------------------
#ENDAT
#! --------------------------------------------------------------------------- !
#! Local extension
#! --------------------------------------------------------------------------- !
#EXTENSION(LocalDriveInfoClass,'Drive info class instances'),PROCEDURE,REQ(GlobalDriveInfoClass(DriveInfoClass))
#! --------------------------------------------------------------------------- !
#SHEET
#TAB ('Drive info options')
#BUTTON ('Drive info instances'),MULTI (%ClassInstancesDI,'Drive info instance: '& %DICI),INLINE
  #PROMPT ('Instance name: ',@S64),%DICI, DEFAULT('DI')
#ENDBUTTON
#ENDTAB
#ENDSHEET
#! --------------------------------------------------------------------------- !
#AT (%LocalDataAfterClasses),PRIORITY(4000)
#! --------------------------------------------------------------------------- !
! ----------------------------------------------
! Added by the Drive info class
! ----------------------------------------------
#IF (%LicenseAccepted = %TRUE)
#FOR (%ClassInstancesDI)
%DICI	DriveInfo
#ENDFOR
#ENDIF
! ----------------------------------------------
#ENDAT
#! --------------------------------------------------------------------------
